## genion

Main Table of Contents

VERSION 3.2.0
Sun 25 Jan 2004

### Description

genion replaces solvent molecules by monoatomic ions at the position of the first atoms with the most favorable electrostatic potential or at random. The potential is calculated on all atoms, using normal GROMACS particle based methods (in contrast to other methods based on solving the Poisson-Boltzmann equation). The potential is recalculated after every ion insertion. If specified in the run input file, a reaction field, shift function or user function can be used. For the user function a table file can be specified with the option `-table`. The group of solvent molecules should be continuous and all molecules should have the same number of atoms. The user should add the ion molecules to the topology file and include the file `ions.itp`. Ion names for Gromos96 should include the charge.

With the option `-pot` the potential can be written as B-factors in a pdb file (for visualisation using e.g. rasmol). The unit of the potential is 1000 kJ/(mol e), the scaling be changed with the `-scale` option.

For larger ions, e.g. sulfate we recommended to use genbox.

### Files

option | filename | type | description
--- | --- | --- | ---
`-s` | `topol.tpr` | Input | Generic run input: tpr tpb tpa xml
`-table` | `table.xvg` | Input, Opt. | xvgr/xmgr file
`-n` | `index.ndx` | Input, Opt. | Index file
`-o` | `out.gro` | Output | Generic structure: gro g96 pdb xml
`-g` | `genion.log` | Output | Log file
`-pot` | `pot.pdb` | Output, Opt. | Protein data bank file

### Other options

option | type | default | description
--- | --- | --- | ---
`-[no]h` | bool | `no` | Print help info and quit
`-nice` | int | `19` | Set the nicelevel
`-np` | int | `0` | Number of positive ions
`-pname` | string | `Na` | Name of the positive ion
`-pq` | real | `1` | Charge of the positive ion
`-nn` | int | `0` | Number of negative ions
`-nname` | string | `Cl` | Name of the negative ion
`-nq` | real | `-1` | Charge of the negative ion
`-rmin` | real | `0.6` | Minimum distance between ions
`-[no]random` | bool | `no` | Use random placement of ions instead of based on potential. The rmin option should still work
`-seed` | int | `1993` | Seed for random number generator
`-scale` | real | `0.001` | Scaling factor for the potential for -pot

http://www.gromacs.org
gromacs@gromacs.org